## imcode.server.document.textdocument
Class MenuItemDomainObject

    java.lang.Object
      imcode.server.document.textdocument.MenuItemDomainObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class MenuItemDomainObject

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`MenuItemDomainObject()`
`MenuItemDomainObject(DocumentReference documentReference)`
`MenuItemDomainObject(DocumentReference documentReference, java.lang.Integer sortKey, TreeSortKeyDomainObject treeSortKey)`

Method Summary
`protected java.lang.Object` `clone()`
`DocumentDomainObject` `getDocument()`
`int` `getDocumentId()`
`DocumentReference` `getDocumentReference()`
`java.lang.Integer` `getSortKey()`
`java.lang.String` `getTreeSortIndex()`
`TreeSortKeyDomainObject` `getTreeSortKey()`
`void` `setDocumentReference(DocumentReference documentReference)`
`void` `setSortKey(java.lang.Integer sortKey)`
`void` `setTreeSortIndex(java.lang.String treeSortIndex)`
`void` `setTreeSortKey(TreeSortKeyDomainObject treeSortKey)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MenuItemDomainObject

    public MenuItemDomainObject()

### MenuItemDomainObject

    public MenuItemDomainObject(DocumentReference documentReference,
                                java.lang.Integer sortKey,
                                TreeSortKeyDomainObject treeSortKey)

### MenuItemDomainObject

    public MenuItemDomainObject(DocumentReference documentReference)

Method Detail

### getSortKey

    public java.lang.Integer getSortKey()

### getTreeSortKey

    public TreeSortKeyDomainObject getTreeSortKey()

### getDocumentReference

    public DocumentReference getDocumentReference()

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getDocument

    public DocumentDomainObject getDocument()

### getDocumentId

    public int getDocumentId()

### setSortKey

    public void setSortKey(java.lang.Integer sortKey)

### setTreeSortKey

    public void setTreeSortKey(TreeSortKeyDomainObject treeSortKey)

### getTreeSortIndex

    public java.lang.String getTreeSortIndex()

### setTreeSortIndex

    public void setTreeSortIndex(java.lang.String treeSortIndex)

### setDocumentReference

    public void setDocumentReference(DocumentReference documentReference)